
/*	Copyright (C) G. Jespersen
	See Licence.txt.*/

#if !defined(AFX_DSLAVVIDEOVIEW_H__55F6F79B_B592_41CD_A1C9_EA5A6F8CF27F__INCLUDED_)
#define AFX_DSLAVVIDEOVIEW_H__55F6F79B_B592_41CD_A1C9_EA5A6F8CF27F__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DsLavVideoView.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CDsLavVideoView view
//
// This is an empty Cview for displaying the CPlayer
// video window.

class CDsLavVideoView : public CView
{
protected:
	CDsLavVideoView();           // protected constructor used by dynamic creation
	DECLARE_DYNCREATE(CDsLavVideoView)

// Attributes
public:
	CDsLavDoc* GetDocument();

private:
	BOOL m_redrawVid;

// Operations
public:

private:
	CPlayer * GetPlayer();



// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDsLavVideoView)
	protected:
	virtual void OnDraw(CDC* pDC);      // overridden to draw this view
	//}}AFX_VIRTUAL

// Implementation
protected:
	virtual ~CDsLavVideoView();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

	// Generated message map functions
protected:
	//{{AFX_MSG(CDsLavVideoView)
	afx_msg BOOL OnMouseWheel(UINT nFlags, short zDelta, CPoint pt);
	afx_msg BOOL OnEraseBkgnd(CDC* pDC);
	afx_msg void OnSize(UINT nType, int cx, int cy);
	afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);
	afx_msg void OnLButtonDown(UINT nFlags, CPoint point);
	afx_msg void OnMouseMove(UINT nFlags, CPoint point);
	afx_msg void OnLButtonUp(UINT nFlags, CPoint point);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

// See DsLavSplitter
#ifndef _DEBUG  // debug version in CDsLavVideoView.cpp
inline CDsLavDoc* CDsLavVideoView::GetDocument()
   { return (CDsLavDoc*)m_pDocument; }
#endif

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DSLAVVIDEOVIEW_H__55F6F79B_B592_41CD_A1C9_EA5A6F8CF27F__INCLUDED_)
